<?php

namespace Planaday\Config\General\Price;

use Planaday\Config\General\GeneralOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum PriceOptionsEnum: string implements OptionGroupEnum {

	case INCLUDING_TAX = 'INCLUDING_TAX';
	case WITH_TAX_LABEL = 'WITH_TAX_LABEL';
	case USE_POINT_FOR_DECIMALS = 'USE_POINT_FOR_DECIMALS';

	public static function getClassName(): string {
		return PriceSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return GeneralOptionsEnum::PRICE_OPTIONS;
	}
}